Subject: Re: bug#32720: term-mode ignores certain window size changes

From: Gary Fredericks <[email-masked]>
Date: Fri, 16 Nov 2018 07:15:14 -0600

Confirmed that I've been using that add-hook call for a while (ever since I
originally reported this) and haven't noticed any adverse effects.

Gary Fredericks
(803)-295-0195
[email-masked]
gfredericks.com

On Fri, Nov 16, 2018 at 6:58 AM martin rudalics <[email-masked]> wrote:

>  > Yep, it seems to work with the patch applied.
>
> Thanks for the feedback.  But after more carefully looking into the
> 'window-adjust-process-windows' code I am now almost convinced that
> your original proposal is the way to go.  That is, I nowhere found in
> that code anything that depends on the change of the window
> configuration.  The only thing that code is interested in is tracing
> window size changes which 'window-configuration-change-hook' does not
> handle particularly well.
>
> So if you already have run Emacs for some time with your
>
> (add-hook
>   'window-size-change-functions
>   (lambda (_frame) (window--adjust-process-windows)))
>
> and did not see any adversary effects I am inclined to install that
> for Emacs 26.2.  For Emacs 27 I would then (after the release of Emacs
> 26.2) remove the
>
> (add-hook 'window-configuration-change-hook
> 'window--adjust-process-windows)
>
> call.
>
> Eli would that be OK with you as well?  I'd still have to amend the
> doc of 'window-configuration-change-hook' but the net change would be
> considerably smaller than the one I proposed in the other thread.
>
> martin
>